Demo.prototype.sceneBloom = function () {
  //this.setScene('abstract');
  this.setScene('bloom');

  const bpm = new Settings().demo.sync.beatsPerMinute;
  const beat = 60/bpm;
  //return;

//return;
  /*this.loader.addAnimation({
    "light": {
        "type": "Ambient",
        "properties": { "intensity": 1.0 },
    }
  });
*/
  this.loader.addAnimation({
    "light": {
        "type": "Directional",
        "properties": { "intensity": 10.0 },
        "castShadow": false
    }
    ,position:[{x:-3,y:5,z:3}]
  });

  this.loader.addAnimation({
    start: 0,
    image: '_embedded/defaultWhite.png',
    visible:()=>(getSceneTimeFromStart()%beat)%1.0 < 0.25 ? false : true,
    color:{
        r:()=>1,g:1,b:1,a:1.0
    }
  });

};
